## sprai 0.9.9.14+dfsg

=== wscript ===
APPNAME = 'sprai'
VERSION = '0.9.9.14'

srcdir = '.'
blddir = 'build'

def options(opt):
	opt.load('compiler_c perl')

def configure(conf):
	conf.load('compiler_c perl')

#	if conf.check_cc(lib = 'z'):
#		pass
#	else:
#		conf.fatal("zlib does not exist.")

	conf.check_perl_version()

#	if conf.check_perl_module('Compress::Zlib') is None:
#		conf.fatal("Perl module 'Compress::Zlib' does not exist.")
#	else:
#		pass

	conf.check_perl_module('Statistics::Descriptive')

def build(bld):
	bld.install_files(
        '${PREFIX}/bin', [
        'ca_ikki_v5.pl',
        'dumbbell_filter.pl',
#        'ezez4qsub_v9.pl',
#        'ezez4qsub_v8_iter.pl',
        'ezez4qsub_vx1.pl',
#        'ezez_v8.pl',
#        'ezez_v7_iter.pl',
        'ezez_vx1.pl',
        'fa2fq.pl',
        'fq2fa.pl',
        'fq2idfq.pl',
        'fqfilt.pl',
        'get_top_20x_fa.pl',
#        'mira_ikki.pl',
        'partition_fa.pl',
#        'ezez4makefile_v4.pl',
        'get_target_fasta_records.pl',
        'dfq2fq_v2.pl',
        'extract_fq.pl',
        'check_redundancy.pl',
        'check_circularity.pl',
        'bfmtx2m4.pl',
#        'sprai_dagcon_v3.py',
#        'sprai_dagcon.cfg',
#        're2cons.pl',
#        'count_chars.pl'
        ], chmod=0755)

	bld.program(
		source='bfmt72s.c',
		target='bfmt72s',

		includes='.',

#		lib=['z'],

		install_path = '${PREFIX}/bin',
		cflags       = ['-O3', '-Wall'],
		dflags       = ['-g'],
	)

	bld.program(
		source='nss2v_v3.c',
		target='nss2v_v3',

		includes='.',

		install_path = '${PREFIX}/bin',
		cflags       = ['-O3', '-Wall'],
		dflags       = ['-g'],
	)

	bld.program(
		source='myrealigner.c',
		target='myrealigner',

		includes='.',

		install_path = '${PREFIX}/bin',
		cflags       = ['-O3', '-Wall'],
		dflags       = ['-g'],
	)

	bld.program(
		source='m52bfmt7.c',
		target='m52bfmt7',

		includes='.',

		install_path = '${PREFIX}/bin',
		cflags       = ['-O3', '-Wall'],
		dflags       = ['-g'],
	)

def dist(ctx):
	ctx.algo = 'tar.gz'
	ctx.files = ctx.path.ant_glob([
        'ca_ikki_v5.pl',
        'dfq2fq_v2.pl',
        'dumbbell_filter.pl',
#        'ezez4qsub_v9.pl',
#        'ezez4qsub_v8_iter.pl',
        'ezez4qsub_vx1.pl',
#        'ezez_v8.pl',
#        'ezez_v7_iter.pl',
        'ezez_vx1.pl',
        'fa2fq.pl',
        'fq2fa.pl',
        'fq2idfq.pl',
        'fqfilt.pl',
        'get_top_20x_fa.pl',
#        'mira_ikki.pl',
        'partition_fa.pl',
#        'ezez4makefile_v4.pl',
        'get_target_fasta_records.pl',
        'doc/_build/html/**',
        'configure',
        'pbasm.spec',
#        'myasm.spec',
        'ec.spec',
#        'ec_iter.spec',
        'bfmt72s.c',
        'col2fqcell.h',
        'LICENSE.txt',
        'ChangeLog.txt',
        'myrealigner.c',
        'nss2v_v3.c',
        'waf',
        'wscript',
        'm52bfmt7.c',
        'bfmtx2m4.pl',
        'extract_fq.pl',
        'check_redundancy.pl',
        'check_circularity.pl',
#        'count_chars.pl',
#        'sprai_dagcon_v3.py',
#        'sprai_dagcon.cfg',
#        're2cons.pl',
        'makefile'
        ])

=== debian/changelog ===
sprai (0.9.9.14+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Tue, 03 May 2016 22:18:01 -0700

sprai (0.9.9.14+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.9.14+dfsg
  * Refresh and update patch
  * Add README.source

 -- Afif Elghraoui <afif@debian.org>  Tue, 26 Apr 2016 19:42:24 -0700

sprai (0.9.9.13+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #820851)

 -- Afif Elghraoui <afif@debian.org>  Fri, 15 Apr 2016 01:21:05 -0700

=== debian/control ===
Source: sprai
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	python,
Standards-Version: 3.9.7
Homepage: http://zombie.cb.k.u-tokyo.ac.jp/sprai/index.html
Vcs-Git: https://anonscm.debian.org/git/debian-med/sprai.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sprai.git

Package: sprai
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${perl:Depends},
	ncbi-blast+ (>= 2.2.27),
	time,
Suggests:
	pbh5tools,
	pbgenomicconsensus,
	pbalign,
Description: single-pass sequencing read accuracy improver
 Sprai is a tool to correct sequencing errors in single-pass reads for
 de novo assembly. It is originally designed for correcting sequencing
 errors in single-molecule DNA sequencing reads, especially in Continuous
 Long Reads (CLRs) generated by PacBio RS sequencers. The goal of Sprai is
 not maximizing the accuracy of error-corrected reads. Instead, Sprai aims
 at maximizing the continuity (i.e., N50 contig length) of assembled contigs
 after error correction.

## sprai 0.9.9.17+dfsg

=== wscript ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APPNAME = 'sprai'
-VERSION = '0.9.9.14'
+VERSION = '0.9.9.17'
 
 srcdir = '.'
 blddir = 'build'
@@ -42,7 +42,7 @@
         'get_top_20x_fa.pl',
 #        'mira_ikki.pl',
         'partition_fa.pl',
-#        'ezez4makefile_v4.pl',
+        'ezez4makefile_v4.pl',
         'get_target_fasta_records.pl',
         'dfq2fq_v2.pl',
         'extract_fq.pl',
@@ -120,7 +120,7 @@
         'get_top_20x_fa.pl',
 #        'mira_ikki.pl',
         'partition_fa.pl',
-#        'ezez4makefile_v4.pl',
+        'ezez4makefile_v4.pl',
         'get_target_fasta_records.pl',
         'doc/_build/html/**',
         'configure',

=== debian/changelog ===
sprai (0.9.9.17+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Thu, 16 Jun 2016 00:10:30 -0700

sprai (0.9.9.17+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.9.17+dfsg
  * Suggest installation of make

 -- Afif Elghraoui <afif@debian.org>  Thu, 09 Jun 2016 06:08:09 -0700

sprai (0.9.9.16+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.9.16+dfsg
  * Bump Standards-Version to 3.9.8
  * Refresh and update patch
  * Add documentation for new ezez4makefile_v4 command

 -- Afif Elghraoui <afif@debian.org>  Wed, 01 Jun 2016 23:13:26 -0700

## sprai 0.9.9.18+dfsg

=== wscript ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APPNAME = 'sprai'
-VERSION = '0.9.9.17'
+VERSION = '0.9.9.18'
 
 srcdir = '.'
 blddir = 'build'

=== debian/changelog ===
sprai (0.9.9.18+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sat, 02 Jul 2016 16:42:34 -0700

sprai (0.9.9.18+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.9.18+dfsg

 -- Afif Elghraoui <afif@debian.org>  Wed, 22 Jun 2016 05:50:23 -0700

## sprai 0.9.9.19%2bdfsg

=== wscript ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APPNAME = 'sprai'
-VERSION = '0.9.9.18'
+VERSION = '0.9.9.19'
 
 srcdir = '.'
 blddir = 'build'

## sprai 0.9.9.19+dfsg

=== debian/changelog ===
sprai (0.9.9.19+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.9.19+dfsg
  * Refresh patch

 -- Afif Elghraoui <afif@debian.org>  Sat, 13 Aug 2016 23:41:00 -0700

## sprai 0.9.9.21%2bdfsg

=== wscript ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APPNAME = 'sprai'
-VERSION = '0.9.9.19'
+VERSION = '0.9.9.21'
 
 srcdir = '.'
 blddir = 'build'

## sprai 0.9.9.22+dfsg

=== wscript ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APPNAME = 'sprai'
-VERSION = '0.9.9.21'
+VERSION = '0.9.9.22'
 
 srcdir = '.'
 blddir = 'build'

=== debian/changelog ===
sprai (0.9.9.22+dfsg-1) unstable; urgency=low

  * Add example data
  * Bump copyright year
  * New upstream release
  * Update upstream contact email address

 -- Afif Elghraoui <afif@debian.org>  Fri, 20 Jan 2017 00:44:23 -0800

sprai (0.9.9.21+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.9.21+dfsg

 -- Afif Elghraoui <afif@debian.org>  Mon, 07 Nov 2016 21:02:54 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
 	debhelper (>= 9),
 	python,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://zombie.cb.k.u-tokyo.ac.jp/sprai/index.html
 Vcs-Git: https://anonscm.debian.org/git/debian-med/sprai.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sprai.git
@@ -23,6 +23,7 @@
 	pbh5tools,
 	pbgenomicconsensus,
 	pbalign,
+	make,
 Description: single-pass sequencing read accuracy improver
  Sprai is a tool to correct sequencing errors in single-pass reads for
  de novo assembly. It is originally designed for correcting sequencing

## sprai 0.9.9.23%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=makefile

override_dh_install:
	mkdir -p $(CURDIR)/debian/sprai/usr/lib/sprai
	cd $(CURDIR)/debian/sprai/usr/bin \
	&& mv * ../lib/sprai/ \
	&& mv ../lib/sprai/ezez* .
	cd $(CURDIR)/debian/sprai/usr/bin \
	&& \
	for script in *; \
	do \
		mv $$script $$(basename $$script .pl) \
		&& ln -sf $$(basename $$script .pl) $$script; \
	done
	dh_install
	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

override_dh_installman:
	dh_installman --language=C

override_dh_installchangelogs:
	dh_installchangelogs doc/_build/html/_sources/index.txt

## sprai 0.9.9.23+dfsg

=== wscript ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APPNAME = 'sprai'
-VERSION = '0.9.9.22'
+VERSION = '0.9.9.23'
 
 srcdir = '.'
 blddir = 'build'

=== debian/changelog ===
sprai (0.9.9.23+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright
  * Fix Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 13:20:54 +0100

sprai (0.9.9.23+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.1.3

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 05:10:53 -0500

=== debian/control ===
Source: sprai
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               python
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/sprai
Vcs-Git: https://salsa.debian.org/med-team/sprai.git
Homepage: http://zombie.cb.k.u-tokyo.ac.jp/sprai/index.html

Package: sprai
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         ncbi-blast+ (>= 2.2.27),
         time
Suggests: pbh5tools,
          pbgenomicconsensus,
          pbalign,
          make
Description: single-pass sequencing read accuracy improver
 Sprai is a tool to correct sequencing errors in single-pass reads for
 de novo assembly. It is originally designed for correcting sequencing
 errors in single-molecule DNA sequencing reads, especially in Continuous
 Long Reads (CLRs) generated by PacBio RS sequencers. The goal of Sprai is
 not maximizing the accuracy of error-corrected reads. Instead, Sprai aims
 at maximizing the continuity (i.e., N50 contig length) of assembled contigs
 after error correction.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,21 @@
 #!/usr/bin/make -f
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+#DH_VERBOSE = 1
+#include /usr/share/dpkg/default.mk
+
+WAF = ./waf -vvv
 
 %:
-	dh $@ --buildsystem=makefile
+	dh $@
+
+override_dh_auto_configure:
+	$(WAF) configure --prefix=/usr
+
+override_dh_auto_build:
+	$(WAF) build
+
+override_dh_auto_install:
+	$(WAF) install --destdir=$(CURDIR)/debian/sprai
 
 override_dh_install:
 	mkdir -p $(CURDIR)/debian/sprai/usr/lib/sprai
@@ -28,3 +39,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/_build/html/_sources/index.txt
+
+override_dh_auto_clean:
+	$(WAF) distclean
+	find waflib -name "*.pyc" -delete

=== debian/watch ===
version=3

# No repacksuffix is specified because it's handled by debian/repack-waf.
# See <https://wiki.debian.org/UnpackWaf>.
opts="\
	dversionmangle=s/\+dfsg\d?$//,\
	repack,\
" \
http://zombie.cb.k.u-tokyo.ac.jp/sprai/Download.html .*/sprai-(.*)\.tar\.gz \
debian debian/repack-waf

## sprai 0.9.9.23+dfsg1

=== debian/changelog ===
sprai (0.9.9.23+dfsg1-3) unstable; urgency=medium

  * d/clean: new: fix double source build failure. (Closes: #1047125)
  * d/rules: activate hardwning flags.
  * flags.patch: propagate hardening flags to package targets.
    The patch is renamed from cflags.patch for naming consistency.
  * d/s/lintian-overrides: hide more unactionable hints.
  * d/control: bump to debhelper-compat 13.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Aug 2024 21:31:44 +0200

sprai (0.9.9.23+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: use the makefile buildsystem. (Closes: #956946)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 17 Apr 2020 07:11:31 +0200

sprai (0.9.9.23+dfsg1-1) unstable; urgency=medium

  [ Adrian Bunk ]
  * Use CURDIR instead of PWD
    Closes: #956814

  [ Andreas Tille ]
  * Point Homepage to wayback machine
  * Deactivate watch file since upstream website vanished
  * Exclude waf from upstream source since it is unused
  * Remove debian/repack-waf since unused
  * Update debian/README.source

  [ Chris Lamb ]
  * Make the build reproducible
    Closes: #956473

 -- Andreas Tille <tille@debian.org>  Wed, 15 Apr 2020 17:01:52 +0200

sprai (0.9.9.23+dfsg-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Afif removed himself from Uploaders
  * Added myself to Uploaders
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

  [ Antoni Villalonga ]
  * Migrate from WAF to plain Makefile
    Closes: #943280

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Apr 2020 10:03:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: sprai
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               python
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/sprai
 Vcs-Git: https://salsa.debian.org/med-team/sprai.git
-Homepage: http://zombie.cb.k.u-tokyo.ac.jp/sprai/index.html
+Homepage: https://web.archive.org/web/20180316202959/http://zombie.cb.k.u-tokyo.ac.jp/sprai/
+Rules-Requires-Root: no
 
 Package: sprai
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${perl:Depends},
-         ncbi-blast+ (>= 2.2.27),
+         ncbi-blast+,
          time
 Suggests: pbh5tools,
           pbgenomicconsensus,

=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,11 @@
 #!/usr/bin/make -f
 
-#DH_VERBOSE = 1
-#include /usr/share/dpkg/default.mk
-
-WAF = ./waf -vvv
+DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
-
-override_dh_auto_configure:
-	$(WAF) configure --prefix=/usr
-
-override_dh_auto_build:
-	$(WAF) build
-
-override_dh_auto_install:
-	$(WAF) install --destdir=$(CURDIR)/debian/sprai
+	dh $@ --buildsystem=makefile
 
 override_dh_install:
 	mkdir -p $(CURDIR)/debian/sprai/usr/lib/sprai
@@ -39,7 +29,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/_build/html/_sources/index.txt
-
-override_dh_auto_clean:
-	$(WAF) distclean
-	find waflib -name "*.pyc" -delete
